image: node:19-alpine3.15

stages:
  - test
  - deploy

test:
  stage: test
  script:
  - yarn install
  - yarn build
  except:
    - main

pages:
  stage: deploy
  script:
  - yarn install
  - yarn build
  - mv ./build ./public
  artifacts:
    paths:
    - public
  only:
    - pages
